#!/bin/sh
export PATH='/usr/lib/distcc/bin:/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: ShellCheck
version: 0.4.6
id: ShellCheck-0.4.6-3hXYfIxGdYRKN8OI6xXJ01
key: ShellCheck-0.4.6-3hXYfIxGdYRKN8OI6xXJ01
license: GPL-3
maintainer: vidar@vidarholen.net
homepage: http://www.shellcheck.net/
synopsis: Shell script analysis tool
description:
    The goals of ShellCheck are:
    .
    * To point out and clarify typical beginner'\''s syntax issues,
    that causes a shell to give cryptic error messages.
    .
    * To point out and clarify typical intermediate level semantic problems,
    that causes a shell to behave strangely and counter-intuitively.
    .
    * To point out subtle caveats, corner cases and pitfalls, that may cause an
    advanced user'\''s otherwise working script to fail under future circumstances.
category: Static Analysis
author: Vidar Holen
exposed: True
indefinite: False
exposed-modules:
    ShellCheck.AST ShellCheck.ASTLib ShellCheck.Analytics
    ShellCheck.Analyzer ShellCheck.AnalyzerLib ShellCheck.Checker
    ShellCheck.Checks.Commands ShellCheck.Checks.ShellSupport
    ShellCheck.Data ShellCheck.Formatter.CheckStyle
    ShellCheck.Formatter.Format ShellCheck.Formatter.GCC
    ShellCheck.Formatter.JSON ShellCheck.Formatter.TTY
    ShellCheck.Interface ShellCheck.Parser ShellCheck.Regex
hidden-modules: Paths_ShellCheck
abi: b09f6d4164f61aa5b7d5bf95302ce540
trusted: False
import-dirs: /usr/lib/ghc-8.2.1/site-local/ShellCheck-0.4.6
library-dirs: /usr/lib/ghc-8.2.1/site-local/ShellCheck-0.4.6
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/arm-linux-ghc-8.2.1/ShellCheck-0.4.6
hs-libraries: HSShellCheck-0.4.6-3hXYfIxGdYRKN8OI6xXJ01
depends:
    base-4.10.0.0 containers-0.5.10.2 directory-1.3.0.2
    json-0.9.1-H9oi4qjas9E3BwyRmbsDPn mtl-2.2.1-19EL8AGBsN3DnnOhrC9xY3
    parsec-3.1.11-5WCVqUZr6ypLPXtYWYsMnh
    regex-tdfa-1.2.2-1G5AA2OVGrl1AkVWQSHaiw
    QuickCheck-2.10.0.1-DTIBC3CyU6p3h4xSnOjkg1 process-1.6.1.0
abi-depends: base-4.10.0.0=32d562aa6d04d35ac79a0f49c17325ff
             containers-0.5.10.2=e086202b65ca66a107fcba9d846fc3e0
             directory-1.3.0.2=f0be8e5bd351f97ab9c9e693d2eba4ad
             json-0.9.1-H9oi4qjas9E3BwyRmbsDPn=d3547a1617b324781d26f4cd5eaa4154
             mtl-2.2.1-19EL8AGBsN3DnnOhrC9xY3=5531911f09693672654e6de645ce55e7
             parsec-3.1.11-5WCVqUZr6ypLPXtYWYsMnh=ec025cd9e2938e26fbdb8853642eb58e
             regex-tdfa-1.2.2-1G5AA2OVGrl1AkVWQSHaiw=a50652c6ce72d1a607b5e2d5892b65bc
             QuickCheck-2.10.0.1-DTIBC3CyU6p3h4xSnOjkg1=a7db3f23c59a223edad851ccf90de895
             process-1.6.1.0=b3854816fc29ad3caa05e87ab6680404
haddock-interfaces: /usr/share/doc/shellcheck/html/ShellCheck.haddock
haddock-html: /usr/share/doc/shellcheck/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

